Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMT (Generative Modeling Technologies) » [AM3] AM3 and Eclipse3.4
[AM3] AM3 and Eclipse3.4 [message #381761] Thu, 27 March 2008 20:16 Go to next message
Mark is currently offline MarkFriend
Messages: 61
Registered: July 2009
Member
Hi,

Are there any plans to get AM3 working with eclipse 3.4 - and having it
easily installed via the Update Site?

Mark
Re: [AM3] AM3 and Eclipse3.4 [message #381840 is a reply to message #381761] Mon, 31 March 2008 15:12 Go to previous messageGo to next message
Frédéric Jouault is currently offline Frédéric JouaultFriend
Messages: 572
Registered: July 2009
Senior Member
Hi,

> Are there any plans to get AM3 working with eclipse 3.4 - and having it
> easily installed via the Update Site?

We are currently working on parts of AM3 (mostly TGE).

Can you please tell us what the functionalities of AM3 you are
interested in are?


Thanks.


Regards,

Frédéric Jouault
Re: [AM3] AM3 and Eclipse3.4 [message #381846 is a reply to message #381840] Mon, 31 March 2008 15:34 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Frédéric,

Thanks for the reply! In our project we are most interested in the
following functionality:
- XML injector functionality - convert textual XML to XML model
- Metamodel registration

Do you have any time frame for a new version of AM3?

Thanks for your help,
Mark


Frédéric Jouault wrote:

> Hi,

>> Are there any plans to get AM3 working with eclipse 3.4 - and having it
>> easily installed via the Update Site?

> We are currently working on parts of AM3 (mostly TGE).

> Can you please tell us what the functionalities of AM3 you are
> interested in are?


> Thanks.


> Regards,

> Frédéric Jouault
Re: [AM3] AM3 and Eclipse3.4 [message #381849 is a reply to message #381846] Mon, 31 March 2008 16:00 Go to previous messageGo to next message
wong is currently offline wongFriend
Messages: 54
Registered: July 2009
Member
Hello,

In addition of Mark need.

I am also really want : Run the AM3 programmatically; XML model to XML
text file.

Thank you.
Wong.
Re: [AM3] AM3 and Eclipse3.4 [message #381852 is a reply to message #381849] Tue, 01 April 2008 09:46 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Hello Mark & Wong,

I'm currently testing the latest version of the AM3 plugins (sources
from CVS) with Eclipse 3.4 and the latest version of ATL.

Even though there are still some problems with TGE (but you can
desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all the
contextual actions provided in the "AM3 Resource Navigator" view seem to
work well. This is also the case for the AM3 ANT tasks for ATL.

Could you also test these different features and inform us if you find
some bugs?

Best regards,

Hugo

wong a écrit :
> Hello,
>
> In addition of Mark need.
>
> I am also really want : Run the AM3 programmatically; XML model to XML
> text file.
>
> Thank you.
> Wong.
>


--
--------------------------------------------------------
Hugo Bruneliere - R&D Engineer
ATLAS Group (INRIA & LINA) - University of Nantes
2, rue de la Houssiniere
44322 Nantes Cedex 3 - France
office +33 2 51 12 58 10 /\ cell.+33 6 07 42 45 30
EMail: Hugo.Bruneliere@univ-nantes.fr
http://www.sciences.univ-nantes.fr/lina/atl/
--------------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] AM3 and Eclipse3.4 [message #381870 is a reply to message #381852] Fri, 11 April 2008 09:02 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

I am looking into doing this at the moment - but am a little unsure what
to use from the CVS - I have tried to get ATL from the update site and
then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
doesnt seem to be in the ATL in the update site.

Perhaps you could outline what I need from CVS to get the latest AM3
working?

Thanks for your help,
Mark

Hugo Bruneliere wrote:

> Hello Mark & Wong,

> I'm currently testing the latest version of the AM3 plugins (sources
> from CVS) with Eclipse 3.4 and the latest version of ATL.

> Even though there are still some problems with TGE (but you can
> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all the
> contextual actions provided in the "AM3 Resource Navigator" view seem to
> work well. This is also the case for the AM3 ANT tasks for ATL.

> Could you also test these different features and inform us if you find
> some bugs?

> Best regards,

> Hugo

> wong a écrit :
>> Hello,
>>
>> In addition of Mark need.
>>
>> I am also really want : Run the AM3 programmatically; XML model to XML
>> text file.
>>
>> Thank you.
>> Wong.
>>
Re: [AM3] AM3 and Eclipse3.4 [message #381872 is a reply to message #381870] Fri, 11 April 2008 12:21 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Mark Melia a écrit :
> Hi Hugo,

Hi Mark,

>
> I am looking into doing this at the moment - but am a little unsure what
> to use from the CVS - I have tried to get ATL from the update site and
> then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
> doesnt seem to be in the ATL in the update site.
>
> Perhaps you could outline what I need from CVS to get the latest AM3
> working?

You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
from CVS (it is located in the same folder as other ATL plugins:
"org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
project's CVS).

>
> Thanks for your help,
> Mark

Regards,

Hugo

>
> Hugo Bruneliere wrote:
>
>> Hello Mark & Wong,
>
>> I'm currently testing the latest version of the AM3 plugins (sources
>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>
>> Even though there are still some problems with TGE (but you can
>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>> the contextual actions provided in the "AM3 Resource Navigator" view
>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>
>> Could you also test these different features and inform us if you find
>> some bugs?
>
>> Best regards,
>
>> Hugo
>
>> wong a écrit :
>>> Hello,
>>>
>>> In addition of Mark need.
>>>
>>> I am also really want : Run the AM3 programmatically; XML model to
>>> XML text file.
>>>
>>> Thank you.
>>> Wong.
>>>
>
>
>
>


--
--------------------------------------------------------
Hugo Bruneliere - R&D Engineer
ATLAS Group (INRIA & LINA) - University of Nantes
2, rue de la Houssiniere
44322 Nantes Cedex 3 - France
office +33 2 51 12 58 10 /\ cell.+33 6 07 42 45 30
EMail: Hugo.Bruneliere@univ-nantes.fr
http://www.sciences.univ-nantes.fr/lina/atl/
--------------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] AM3 and Eclipse3.4 [message #381875 is a reply to message #381872] Fri, 11 April 2008 23:50 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

Thanks for that - almost have it working just having problems with
org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
where these are in CVS?

Thanks,
Mark

Hugo Bruneliere wrote:

> Mark Melia a écrit :
>> Hi Hugo,

> Hi Mark,

>>
>> I am looking into doing this at the moment - but am a little unsure what
>> to use from the CVS - I have tried to get ATL from the update site and
>> then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
>> doesnt seem to be in the ATL in the update site.
>>
>> Perhaps you could outline what I need from CVS to get the latest AM3
>> working?

> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
> from CVS (it is located in the same folder as other ATL plugins:
> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
> project's CVS).

>>
>> Thanks for your help,
>> Mark

> Regards,

> Hugo

>>
>> Hugo Bruneliere wrote:
>>
>>> Hello Mark & Wong,
>>
>>> I'm currently testing the latest version of the AM3 plugins (sources
>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>
>>> Even though there are still some problems with TGE (but you can
>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>
>>> Could you also test these different features and inform us if you find
>>> some bugs?
>>
>>> Best regards,
>>
>>> Hugo
>>
>>> wong a écrit :
>>>> Hello,
>>>>
>>>> In addition of Mark need.
>>>>
>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>> XML text file.
>>>>
>>>> Thank you.
>>>> Wong.
>>>>
>>
>>
>>
>>
Re: [AM3] AM3 and Eclipse3.4 [message #381879 is a reply to message #381875] Mon, 14 April 2008 15:32 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Mark Melia a écrit :
> Hi Hugo,

Hi Mark,

> Thanks for that - almost have it working just having problems with
> org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
> where these are in CVS?
>

You can checkout these two plugin from the the Technology project's CVS
folder "org.eclipse.gmt/org.eclipse.gmt.tcs/plugins".

Best regards,

Hugo

> Thanks,
> Mark
>
> Hugo Bruneliere wrote:
>
>> Mark Melia a écrit :
>>> Hi Hugo,
>
>> Hi Mark,
>
>>>
>>> I am looking into doing this at the moment - but am a little unsure
>>> what to use from the CVS - I have tried to get ATL from the update
>>> site and then AM3 from CVS but this causes problems - as
>>> org.eclipse.m2m.atl.dsls doesnt seem to be in the ATL in the update
>>> site.
>>>
>>> Perhaps you could outline what I need from CVS to get the latest AM3
>>> working?
>
>> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
>> from CVS (it is located in the same folder as other ATL plugins:
>> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
>> project's CVS).
>
>>>
>>> Thanks for your help,
>>> Mark
>
>> Regards,
>
>> Hugo
>
>>>
>>> Hugo Bruneliere wrote:
>>>
>>>> Hello Mark & Wong,
>>>
>>>> I'm currently testing the latest version of the AM3 plugins (sources
>>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>>
>>>> Even though there are still some problems with TGE (but you can
>>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>>
>>>> Could you also test these different features and inform us if you
>>>> find some bugs?
>>>
>>>> Best regards,
>>>
>>>> Hugo
>>>
>>>> wong a écrit :
>>>>> Hello,
>>>>>
>>>>> In addition of Mark need.
>>>>>
>>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>>> XML text file.
>>>>>
>>>>> Thank you.
>>>>> Wong.
>>>>>
>>>
>>>
>>>
>>>
>
>
>
>


--
--------------------------------------------------------
Hugo Bruneliere - R&D Engineer
ATLAS Group (INRIA & LINA) - University of Nantes
2, rue de la Houssiniere
44322 Nantes Cedex 3 - France
office +33 2 51 12 58 10 /\ cell.+33 6 07 42 45 30
EMail: Hugo.Bruneliere@univ-nantes.fr
http://www.sciences.univ-nantes.fr/lina/atl/
--------------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] AM3 and Eclipse3.4 [message #381947 is a reply to message #381879] Tue, 15 April 2008 16:59 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

Thanks for the help, I got all the right packages from CVS, but I seem to
be still having a problem with compiling it.

There seems to be some problems with getting
org.eclipse.gmt.tcs.metadata.language and
org.eclipse.am3.tools.tge.outline working together. For example the inject
method in the Language class to that used by the OutlineContent class?

Is it possible to get the plug-in jar files, instead of trying to compile
these myself?

Mark


Hugo Bruneliere wrote:

> Mark Melia a écrit :
>> Hi Hugo,

> Hi Mark,

>> Thanks for that - almost have it working just having problems with
>> org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
>> where these are in CVS?
>>

> You can checkout these two plugin from the the Technology project's CVS
> folder "org.eclipse.gmt/org.eclipse.gmt.tcs/plugins".

> Best regards,

> Hugo

>> Thanks,
>> Mark
>>
>> Hugo Bruneliere wrote:
>>
>>> Mark Melia a écrit :
>>>> Hi Hugo,
>>
>>> Hi Mark,
>>
>>>>
>>>> I am looking into doing this at the moment - but am a little unsure
>>>> what to use from the CVS - I have tried to get ATL from the update
>>>> site and then AM3 from CVS but this causes problems - as
>>>> org.eclipse.m2m.atl.dsls doesnt seem to be in the ATL in the update
>>>> site.
>>>>
>>>> Perhaps you could outline what I need from CVS to get the latest AM3
>>>> working?
>>
>>> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
>>> from CVS (it is located in the same folder as other ATL plugins:
>>> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
>>> project's CVS).
>>
>>>>
>>>> Thanks for your help,
>>>> Mark
>>
>>> Regards,
>>
>>> Hugo
>>
>>>>
>>>> Hugo Bruneliere wrote:
>>>>
>>>>> Hello Mark & Wong,
>>>>
>>>>> I'm currently testing the latest version of the AM3 plugins (sources
>>>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>>>
>>>>> Even though there are still some problems with TGE (but you can
>>>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>>>
>>>>> Could you also test these different features and inform us if you
>>>>> find some bugs?
>>>>
>>>>> Best regards,
>>>>
>>>>> Hugo
>>>>
>>>>> wong a écrit :
>>>>>> Hello,
>>>>>>
>>>>>> In addition of Mark need.
>>>>>>
>>>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>>>> XML text file.
>>>>>>
>>>>>> Thank you.
>>>>>> Wong.
>>>>>>
>>>>
>>>>
>>>>
>>>>
>>
>>
>>
>>
Re: [AM3] AM3 and Eclipse3.4 [message #381950 is a reply to message #381947] Wed, 16 April 2008 10:36 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

FYI, there was a change made to
org.eclipse.gmt.tcs.metadata.language.Lanaguage.java 08/04/08 in CVS,
perhaps this change hasn't been integrated into the latest AM3 version?

Thanks for your help,
Mark

Mark Melia wrote:

> Hi Hugo,

> Thanks for the help, I got all the right packages from CVS, but I seem to
> be still having a problem with compiling it.

> There seems to be some problems with getting
> org.eclipse.gmt.tcs.metadata.language and
> org.eclipse.am3.tools.tge.outline working together. For example the inject
> method in the Language class to that used by the OutlineContent class?

> Is it possible to get the plug-in jar files, instead of trying to compile
> these myself?

> Mark


> Hugo Bruneliere wrote:

>> Mark Melia a écrit :
>>> Hi Hugo,

>> Hi Mark,

>>> Thanks for that - almost have it working just having problems with
>>> org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
>>> where these are in CVS?
>>>

>> You can checkout these two plugin from the the Technology project's CVS
>> folder "org.eclipse.gmt/org.eclipse.gmt.tcs/plugins".

>> Best regards,

>> Hugo

>>> Thanks,
>>> Mark
>>>
>>> Hugo Bruneliere wrote:
>>>
>>>> Mark Melia a écrit :
>>>>> Hi Hugo,
>>>
>>>> Hi Mark,
>>>
>>>>>
>>>>> I am looking into doing this at the moment - but am a little unsure
>>>>> what to use from the CVS - I have tried to get ATL from the update
>>>>> site and then AM3 from CVS but this causes problems - as
>>>>> org.eclipse.m2m.atl.dsls doesnt seem to be in the ATL in the update
>>>>> site.
>>>>>
>>>>> Perhaps you could outline what I need from CVS to get the latest AM3
>>>>> working?
>>>
>>>> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
>>>> from CVS (it is located in the same folder as other ATL plugins:
>>>> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
>>>> project's CVS).
>>>
>>>>>
>>>>> Thanks for your help,
>>>>> Mark
>>>
>>>> Regards,
>>>
>>>> Hugo
>>>
>>>>>
>>>>> Hugo Bruneliere wrote:
>>>>>
>>>>>> Hello Mark & Wong,
>>>>>
>>>>>> I'm currently testing the latest version of the AM3 plugins (sources
>>>>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>>>>
>>>>>> Even though there are still some problems with TGE (but you can
>>>>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>>>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>>>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>>>>
>>>>>> Could you also test these different features and inform us if you
>>>>>> find some bugs?
>>>>>
>>>>>> Best regards,
>>>>>
>>>>>> Hugo
>>>>>
>>>>>> wong a écrit :
>>>>>>> Hello,
>>>>>>>
>>>>>>> In addition of Mark need.
>>>>>>>
>>>>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>>>>> XML text file.
>>>>>>>
>>>>>>> Thank you.
>>>>>>> Wong.
>>>>>>>
>>>>>
>>>>>
>>>>>
>>>>>
>>>
>>>
>>>
>>>
Re: [AM3] AM3 and Eclipse3.4 [message #381965 is a reply to message #381950] Tue, 29 April 2008 09:26 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi all,

Does anyone know if any progress has been made on AM3 integration into
Eclipse 3.4?

Mark
Re: [AM3] AM3 and Eclipse3.4 [message #383594 is a reply to message #381965] Wed, 14 May 2008 13:50 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Apologies - the problem was that I have way too many Eclipse installations
on my machine, and was trying to test AM3 without ATL.

I will try and test AM3 over the next few days Hugo.

Mark
Re: [AM3] AM3 and Eclipse3.4 [message #384241 is a reply to message #381852] Fri, 18 July 2008 07:20 Go to previous messageGo to next message
Miguel Llàcer San Fernando is currently offline Miguel Llàcer San FernandoFriend
Messages: 63
Registered: July 2009
Member
Hi, I have a problem with AM3 too.

I have some ATL transformations that I execute with ANT scripts using AM3.
Now, we are migrating to Eclipse Ganymede and when I execute the
transformation an error appears:

...
INFO: Executing ATL transformation Transformations/uml2db.atl
C:\eclipses\Eclipse
Ganymede\workspace\es.cv.gvcase.linkers.uml2db.transf\bin\es
\cv\gvcase\linker\uml2db\transf\launcher
\build.xml:15:java.lang.NoSuchMethodError:
org.eclipse.m2m.atl.adt.launching.AtlVM.launch
...

If we have a look to error, we can see that in 15 line is the problem and
we realize that the error is in ant script, exactly in:

...
<am3.atl path="Transformations/uml2db.atl"
allowInterModelReferences="true">
...

Could it be that am3 isn't compatible with new version of ATL ?¿?
Re: [AM3] AM3 and Eclipse3.4 [message #384373 is a reply to message #381872] Thu, 24 July 2008 10:28 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: milan.milanovic.org

Hi,

I want to install AM3 into latest Eclipse Ganymede, but when I checkout
ATL by using atl.psf there is no
"org.eclipse.m2m/org.eclipse.m2m.atl/plugins" folder ?

I also ask the same thing for TCS ?

--
Thx, Milan Milanovic

Hugo Bruneliere wrote:

> Mark Melia a écrit :
>> Hi Hugo,

> Hi Mark,

>>
>> I am looking into doing this at the moment - but am a little unsure what
>> to use from the CVS - I have tried to get ATL from the update site and
>> then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
>> doesnt seem to be in the ATL in the update site.
>>
>> Perhaps you could outline what I need from CVS to get the latest AM3
>> working?

> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
> from CVS (it is located in the same folder as other ATL plugins:
> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
> project's CVS).

>>
>> Thanks for your help,
>> Mark

> Regards,

> Hugo

>>
>> Hugo Bruneliere wrote:
>>
>>> Hello Mark & Wong,
>>
>>> I'm currently testing the latest version of the AM3 plugins (sources
>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>
>>> Even though there are still some problems with TGE (but you can
>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>
>>> Could you also test these different features and inform us if you find
>>> some bugs?
>>
>>> Best regards,
>>
>>> Hugo
>>
>>> wong a écrit :
>>>> Hello,
>>>>
>>>> In addition of Mark need.
>>>>
>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>> XML text file.
>>>>
>>>> Thank you.
>>>> Wong.
>>>>
>>
>>
>>
>>
Re: [AM3] AM3 and Eclipse3.4 [message #384386 is a reply to message #381761] Thu, 31 July 2008 20:50 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: milan.milanovic.org

So, to conclude, there is no support for AM3 in this new version of
Eclipse Ganymede Modeling ?

--
Regards, Milan
Re: [AM3] AM3 and Eclipse3.4 [message #384656 is a reply to message #384241] Fri, 08 August 2008 09:18 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Miguel,

Have you got AM3 from CVS, as outlined in the previous posts - I done this
and then created jar plugins from this and dropped them into my plugin
directory of my eclipse - this worked. You definitely needed the latest
from CVS for it to work.

Mark


Miguel Llácer wrote:

> Hi, I have a problem with AM3 too.

> I have some ATL transformations that I execute with ANT scripts using AM3.
> Now, we are migrating to Eclipse Ganymede and when I execute the
> transformation an error appears:

> ...
> INFO: Executing ATL transformation Transformations/uml2db.atl
> C:eclipsesEclipse
> Ganymedeworkspacees.cv.gvcase.linkers.uml2db.transfbines
> cvgvcaselinkeruml2dbtransflauncher
> build.xml:15:java.lang.NoSuchMethodError:
> org.eclipse.m2m.atl.adt.launching.AtlVM.launch
> ...

> If we have a look to error, we can see that in 15 line is the problem and
> we realize that the error is in ant script, exactly in:

> ...
> <am3.atl path="Transformations/uml2db.atl"
> allowInterModelReferences="true">
> ...

> Could it be that am3 isn't compatible with new version of ATL ?¿?
Re: [AM3] AM3 and Eclipse3.4 [message #384657 is a reply to message #384386] Fri, 08 August 2008 09:20 Go to previous messageGo to next message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Its looking that way Milan - considering the lack of mails on this thread.
The version in CVS works - but I dont see why this has not been added to
the Ganymede update site along with the rest of the modeling stuff.

Mark

Milan Milanovic wrote:

> So, to conclude, there is no support for AM3 in this new version of
> Eclipse Ganymede Modeling ?

> --
> Regards, Milan
Re: [AM3] AM3 and Eclipse3.4 [message #384667 is a reply to message #384656] Mon, 11 August 2008 10:04 Go to previous message
Miguel Llàcer San Fernando is currently offline Miguel Llàcer San FernandoFriend
Messages: 63
Registered: July 2009
Member
Ok, now it works correctly.

Thanks.
Re: [AM3] AM3 and Eclipse3.4 [message #614515 is a reply to message #381761] Mon, 31 March 2008 15:12 Go to previous message
Frédéric Jouault is currently offline Frédéric JouaultFriend
Messages: 572
Registered: July 2009
Senior Member
Hi,

> Are there any plans to get AM3 working with eclipse 3.4 - and having it
> easily installed via the Update Site?

We are currently working on parts of AM3 (mostly TGE).

Can you please tell us what the functionalities of AM3 you are
interested in are?


Thanks.


Regards,

Frédéric Jouault
Re: [AM3] AM3 and Eclipse3.4 [message #614519 is a reply to message #381840] Mon, 31 March 2008 15:34 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Frédéric,

Thanks for the reply! In our project we are most interested in the
following functionality:
- XML injector functionality - convert textual XML to XML model
- Metamodel registration

Do you have any time frame for a new version of AM3?

Thanks for your help,
Mark


Frédéric Jouault wrote:

> Hi,

>> Are there any plans to get AM3 working with eclipse 3.4 - and having it
>> easily installed via the Update Site?

> We are currently working on parts of AM3 (mostly TGE).

> Can you please tell us what the functionalities of AM3 you are
> interested in are?


> Thanks.


> Regards,

> Frédéric Jouault
Re: [AM3] AM3 and Eclipse3.4 [message #614520 is a reply to message #381846] Mon, 31 March 2008 16:00 Go to previous message
wong is currently offline wongFriend
Messages: 54
Registered: July 2009
Member
Hello,

In addition of Mark need.

I am also really want : Run the AM3 programmatically; XML model to XML
text file.

Thank you.
Wong.
Re: [AM3] AM3 and Eclipse3.4 [message #614521 is a reply to message #381849] Tue, 01 April 2008 09:46 Go to previous message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Hello Mark & Wong,

I'm currently testing the latest version of the AM3 plugins (sources
from CVS) with Eclipse 3.4 and the latest version of ATL.

Even though there are still some problems with TGE (but you can
desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all the
contextual actions provided in the "AM3 Resource Navigator" view seem to
work well. This is also the case for the AM3 ANT tasks for ATL.

Could you also test these different features and inform us if you find
some bugs?

Best regards,

Hugo

wong a écrit :
> Hello,
>
> In addition of Mark need.
>
> I am also really want : Run the AM3 programmatically; XML model to XML
> text file.
>
> Thank you.
> Wong.
>


--
--------------------------------------------------------
Hugo Bruneliere - R&D Engineer
ATLAS Group (INRIA & LINA) - University of Nantes
2, rue de la Houssiniere
44322 Nantes Cedex 3 - France
office +33 2 51 12 58 10 /\ cell.+33 6 07 42 45 30
EMail: Hugo.Bruneliere@univ-nantes.fr
http://www.sciences.univ-nantes.fr/lina/atl/
--------------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] AM3 and Eclipse3.4 [message #614874 is a reply to message #381852] Fri, 11 April 2008 09:02 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

I am looking into doing this at the moment - but am a little unsure what
to use from the CVS - I have tried to get ATL from the update site and
then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
doesnt seem to be in the ATL in the update site.

Perhaps you could outline what I need from CVS to get the latest AM3
working?

Thanks for your help,
Mark

Hugo Bruneliere wrote:

> Hello Mark & Wong,

> I'm currently testing the latest version of the AM3 plugins (sources
> from CVS) with Eclipse 3.4 and the latest version of ATL.

> Even though there are still some problems with TGE (but you can
> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all the
> contextual actions provided in the "AM3 Resource Navigator" view seem to
> work well. This is also the case for the AM3 ANT tasks for ATL.

> Could you also test these different features and inform us if you find
> some bugs?

> Best regards,

> Hugo

> wong a écrit :
>> Hello,
>>
>> In addition of Mark need.
>>
>> I am also really want : Run the AM3 programmatically; XML model to XML
>> text file.
>>
>> Thank you.
>> Wong.
>>
Re: [AM3] AM3 and Eclipse3.4 [message #614876 is a reply to message #381870] Fri, 11 April 2008 12:21 Go to previous message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Mark Melia a écrit :
> Hi Hugo,

Hi Mark,

>
> I am looking into doing this at the moment - but am a little unsure what
> to use from the CVS - I have tried to get ATL from the update site and
> then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
> doesnt seem to be in the ATL in the update site.
>
> Perhaps you could outline what I need from CVS to get the latest AM3
> working?

You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
from CVS (it is located in the same folder as other ATL plugins:
"org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
project's CVS).

>
> Thanks for your help,
> Mark

Regards,

Hugo

>
> Hugo Bruneliere wrote:
>
>> Hello Mark & Wong,
>
>> I'm currently testing the latest version of the AM3 plugins (sources
>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>
>> Even though there are still some problems with TGE (but you can
>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>> the contextual actions provided in the "AM3 Resource Navigator" view
>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>
>> Could you also test these different features and inform us if you find
>> some bugs?
>
>> Best regards,
>
>> Hugo
>
>> wong a écrit :
>>> Hello,
>>>
>>> In addition of Mark need.
>>>
>>> I am also really want : Run the AM3 programmatically; XML model to
>>> XML text file.
>>>
>>> Thank you.
>>> Wong.
>>>
>
>
>
>


--
--------------------------------------------------------
Hugo Bruneliere - R&D Engineer
ATLAS Group (INRIA & LINA) - University of Nantes
2, rue de la Houssiniere
44322 Nantes Cedex 3 - France
office +33 2 51 12 58 10 /\ cell.+33 6 07 42 45 30
EMail: Hugo.Bruneliere@univ-nantes.fr
http://www.sciences.univ-nantes.fr/lina/atl/
--------------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] AM3 and Eclipse3.4 [message #614879 is a reply to message #381872] Fri, 11 April 2008 23:50 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

Thanks for that - almost have it working just having problems with
org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
where these are in CVS?

Thanks,
Mark

Hugo Bruneliere wrote:

> Mark Melia a écrit :
>> Hi Hugo,

> Hi Mark,

>>
>> I am looking into doing this at the moment - but am a little unsure what
>> to use from the CVS - I have tried to get ATL from the update site and
>> then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
>> doesnt seem to be in the ATL in the update site.
>>
>> Perhaps you could outline what I need from CVS to get the latest AM3
>> working?

> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
> from CVS (it is located in the same folder as other ATL plugins:
> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
> project's CVS).

>>
>> Thanks for your help,
>> Mark

> Regards,

> Hugo

>>
>> Hugo Bruneliere wrote:
>>
>>> Hello Mark & Wong,
>>
>>> I'm currently testing the latest version of the AM3 plugins (sources
>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>
>>> Even though there are still some problems with TGE (but you can
>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>
>>> Could you also test these different features and inform us if you find
>>> some bugs?
>>
>>> Best regards,
>>
>>> Hugo
>>
>>> wong a écrit :
>>>> Hello,
>>>>
>>>> In addition of Mark need.
>>>>
>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>> XML text file.
>>>>
>>>> Thank you.
>>>> Wong.
>>>>
>>
>>
>>
>>
Re: [AM3] AM3 and Eclipse3.4 [message #614885 is a reply to message #381875] Mon, 14 April 2008 15:32 Go to previous message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Mark Melia a écrit :
> Hi Hugo,

Hi Mark,

> Thanks for that - almost have it working just having problems with
> org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
> where these are in CVS?
>

You can checkout these two plugin from the the Technology project's CVS
folder "org.eclipse.gmt/org.eclipse.gmt.tcs/plugins".

Best regards,

Hugo

> Thanks,
> Mark
>
> Hugo Bruneliere wrote:
>
>> Mark Melia a écrit :
>>> Hi Hugo,
>
>> Hi Mark,
>
>>>
>>> I am looking into doing this at the moment - but am a little unsure
>>> what to use from the CVS - I have tried to get ATL from the update
>>> site and then AM3 from CVS but this causes problems - as
>>> org.eclipse.m2m.atl.dsls doesnt seem to be in the ATL in the update
>>> site.
>>>
>>> Perhaps you could outline what I need from CVS to get the latest AM3
>>> working?
>
>> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
>> from CVS (it is located in the same folder as other ATL plugins:
>> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
>> project's CVS).
>
>>>
>>> Thanks for your help,
>>> Mark
>
>> Regards,
>
>> Hugo
>
>>>
>>> Hugo Bruneliere wrote:
>>>
>>>> Hello Mark & Wong,
>>>
>>>> I'm currently testing the latest version of the AM3 plugins (sources
>>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>>
>>>> Even though there are still some problems with TGE (but you can
>>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>>
>>>> Could you also test these different features and inform us if you
>>>> find some bugs?
>>>
>>>> Best regards,
>>>
>>>> Hugo
>>>
>>>> wong a écrit :
>>>>> Hello,
>>>>>
>>>>> In addition of Mark need.
>>>>>
>>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>>> XML text file.
>>>>>
>>>>> Thank you.
>>>>> Wong.
>>>>>
>>>
>>>
>>>
>>>
>
>
>
>


--
--------------------------------------------------------
Hugo Bruneliere - R&D Engineer
ATLAS Group (INRIA & LINA) - University of Nantes
2, rue de la Houssiniere
44322 Nantes Cedex 3 - France
office +33 2 51 12 58 10 /\ cell.+33 6 07 42 45 30
EMail: Hugo.Bruneliere@univ-nantes.fr
http://www.sciences.univ-nantes.fr/lina/atl/
--------------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] AM3 and Eclipse3.4 [message #614893 is a reply to message #381879] Tue, 15 April 2008 16:59 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

Thanks for the help, I got all the right packages from CVS, but I seem to
be still having a problem with compiling it.

There seems to be some problems with getting
org.eclipse.gmt.tcs.metadata.language and
org.eclipse.am3.tools.tge.outline working together. For example the inject
method in the Language class to that used by the OutlineContent class?

Is it possible to get the plug-in jar files, instead of trying to compile
these myself?

Mark


Hugo Bruneliere wrote:

> Mark Melia a écrit :
>> Hi Hugo,

> Hi Mark,

>> Thanks for that - almost have it working just having problems with
>> org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
>> where these are in CVS?
>>

> You can checkout these two plugin from the the Technology project's CVS
> folder "org.eclipse.gmt/org.eclipse.gmt.tcs/plugins".

> Best regards,

> Hugo

>> Thanks,
>> Mark
>>
>> Hugo Bruneliere wrote:
>>
>>> Mark Melia a écrit :
>>>> Hi Hugo,
>>
>>> Hi Mark,
>>
>>>>
>>>> I am looking into doing this at the moment - but am a little unsure
>>>> what to use from the CVS - I have tried to get ATL from the update
>>>> site and then AM3 from CVS but this causes problems - as
>>>> org.eclipse.m2m.atl.dsls doesnt seem to be in the ATL in the update
>>>> site.
>>>>
>>>> Perhaps you could outline what I need from CVS to get the latest AM3
>>>> working?
>>
>>> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
>>> from CVS (it is located in the same folder as other ATL plugins:
>>> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
>>> project's CVS).
>>
>>>>
>>>> Thanks for your help,
>>>> Mark
>>
>>> Regards,
>>
>>> Hugo
>>
>>>>
>>>> Hugo Bruneliere wrote:
>>>>
>>>>> Hello Mark & Wong,
>>>>
>>>>> I'm currently testing the latest version of the AM3 plugins (sources
>>>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>>>
>>>>> Even though there are still some problems with TGE (but you can
>>>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>>>
>>>>> Could you also test these different features and inform us if you
>>>>> find some bugs?
>>>>
>>>>> Best regards,
>>>>
>>>>> Hugo
>>>>
>>>>> wong a écrit :
>>>>>> Hello,
>>>>>>
>>>>>> In addition of Mark need.
>>>>>>
>>>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>>>> XML text file.
>>>>>>
>>>>>> Thank you.
>>>>>> Wong.
>>>>>>
>>>>
>>>>
>>>>
>>>>
>>
>>
>>
>>
Re: [AM3] AM3 and Eclipse3.4 [message #614900 is a reply to message #381947] Wed, 16 April 2008 10:36 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Hugo,

FYI, there was a change made to
org.eclipse.gmt.tcs.metadata.language.Lanaguage.java 08/04/08 in CVS,
perhaps this change hasn't been integrated into the latest AM3 version?

Thanks for your help,
Mark

Mark Melia wrote:

> Hi Hugo,

> Thanks for the help, I got all the right packages from CVS, but I seem to
> be still having a problem with compiling it.

> There seems to be some problems with getting
> org.eclipse.gmt.tcs.metadata.language and
> org.eclipse.am3.tools.tge.outline working together. For example the inject
> method in the Language class to that used by the OutlineContent class?

> Is it possible to get the plug-in jar files, instead of trying to compile
> these myself?

> Mark


> Hugo Bruneliere wrote:

>> Mark Melia a écrit :
>>> Hi Hugo,

>> Hi Mark,

>>> Thanks for that - almost have it working just having problems with
>>> org.eclipse.gmt.tcs.metadata and org.eclipse.gmt.tcs.dsls- do you know
>>> where these are in CVS?
>>>

>> You can checkout these two plugin from the the Technology project's CVS
>> folder "org.eclipse.gmt/org.eclipse.gmt.tcs/plugins".

>> Best regards,

>> Hugo

>>> Thanks,
>>> Mark
>>>
>>> Hugo Bruneliere wrote:
>>>
>>>> Mark Melia a écrit :
>>>>> Hi Hugo,
>>>
>>>> Hi Mark,
>>>
>>>>>
>>>>> I am looking into doing this at the moment - but am a little unsure
>>>>> what to use from the CVS - I have tried to get ATL from the update
>>>>> site and then AM3 from CVS but this causes problems - as
>>>>> org.eclipse.m2m.atl.dsls doesnt seem to be in the ATL in the update
>>>>> site.
>>>>>
>>>>> Perhaps you could outline what I need from CVS to get the latest AM3
>>>>> working?
>>>
>>>> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
>>>> from CVS (it is located in the same folder as other ATL plugins:
>>>> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
>>>> project's CVS).
>>>
>>>>>
>>>>> Thanks for your help,
>>>>> Mark
>>>
>>>> Regards,
>>>
>>>> Hugo
>>>
>>>>>
>>>>> Hugo Bruneliere wrote:
>>>>>
>>>>>> Hello Mark & Wong,
>>>>>
>>>>>> I'm currently testing the latest version of the AM3 plugins (sources
>>>>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>>>>
>>>>>> Even though there are still some problems with TGE (but you can
>>>>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>>>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>>>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>>>>
>>>>>> Could you also test these different features and inform us if you
>>>>>> find some bugs?
>>>>>
>>>>>> Best regards,
>>>>>
>>>>>> Hugo
>>>>>
>>>>>> wong a écrit :
>>>>>>> Hello,
>>>>>>>
>>>>>>> In addition of Mark need.
>>>>>>>
>>>>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>>>>> XML text file.
>>>>>>>
>>>>>>> Thank you.
>>>>>>> Wong.
>>>>>>>
>>>>>
>>>>>
>>>>>
>>>>>
>>>
>>>
>>>
>>>
Re: [AM3] AM3 and Eclipse3.4 [message #615797 is a reply to message #381950] Tue, 29 April 2008 09:26 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi all,

Does anyone know if any progress has been made on AM3 integration into
Eclipse 3.4?

Mark
Re: [AM3] AM3 and Eclipse3.4 [message #617632 is a reply to message #381965] Wed, 14 May 2008 13:50 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Apologies - the problem was that I have way too many Eclipse installations
on my machine, and was trying to test AM3 without ATL.

I will try and test AM3 over the next few days Hugo.

Mark
Re: [AM3] AM3 and Eclipse3.4 [message #618241 is a reply to message #381852] Fri, 18 July 2008 07:20 Go to previous message
Miguel Llàcer San Fernando is currently offline Miguel Llàcer San FernandoFriend
Messages: 63
Registered: July 2009
Member
Hi, I have a problem with AM3 too.

I have some ATL transformations that I execute with ANT scripts using AM3.
Now, we are migrating to Eclipse Ganymede and when I execute the
transformation an error appears:

...
INFO: Executing ATL transformation Transformations/uml2db.atl
C:\eclipses\Eclipse
Ganymede\workspace\es.cv.gvcase.linkers.uml2db.transf\bin\es
\cv\gvcase\linker\uml2db\transf\launcher
\build.xml:15:java.lang.NoSuchMethodError:
org.eclipse.m2m.atl.adt.launching.AtlVM.launch
...

If we have a look to error, we can see that in 15 line is the problem and
we realize that the error is in ant script, exactly in:

...
<am3.atl path="Transformations/uml2db.atl"
allowInterModelReferences="true">
...

Could it be that am3 isn't compatible with new version of ATL ?¿?
Re: [AM3] AM3 and Eclipse3.4 [message #618545 is a reply to message #381872] Thu, 24 July 2008 10:28 Go to previous message
Eclipse UserFriend
Originally posted by: milan.milanovic.org

Hi,

I want to install AM3 into latest Eclipse Ganymede, but when I checkout
ATL by using atl.psf there is no
"org.eclipse.m2m/org.eclipse.m2m.atl/plugins" folder ?

I also ask the same thing for TCS ?

--
Thx, Milan Milanovic

Hugo Bruneliere wrote:

> Mark Melia a écrit :
>> Hi Hugo,

> Hi Mark,

>>
>> I am looking into doing this at the moment - but am a little unsure what
>> to use from the CVS - I have tried to get ATL from the update site and
>> then AM3 from CVS but this causes problems - as org.eclipse.m2m.atl.dsls
>> doesnt seem to be in the ATL in the update site.
>>
>> Perhaps you could outline what I need from CVS to get the latest AM3
>> working?

> You'll need to manually checkout the org.eclipse.m2m.atl.dsls plugin
> from CVS (it is located in the same folder as other ATL plugins:
> "org.eclipse.m2m/org.eclipse.m2m.atl/plugins" from the Modeling
> project's CVS).

>>
>> Thanks for your help,
>> Mark

> Regards,

> Hugo

>>
>> Hugo Bruneliere wrote:
>>
>>> Hello Mark & Wong,
>>
>>> I'm currently testing the latest version of the AM3 plugins (sources
>>> from CVS) with Eclipse 3.4 and the latest version of ATL.
>>
>>> Even though there are still some problems with TGE (but you can
>>> desactivate the "org.eclipse.am3.tools.tge" plugin if you want), all
>>> the contextual actions provided in the "AM3 Resource Navigator" view
>>> seem to work well. This is also the case for the AM3 ANT tasks for ATL.
>>
>>> Could you also test these different features and inform us if you find
>>> some bugs?
>>
>>> Best regards,
>>
>>> Hugo
>>
>>> wong a écrit :
>>>> Hello,
>>>>
>>>> In addition of Mark need.
>>>>
>>>> I am also really want : Run the AM3 programmatically; XML model to
>>>> XML text file.
>>>>
>>>> Thank you.
>>>> Wong.
>>>>
>>
>>
>>
>>
Re: [AM3] AM3 and Eclipse3.4 [message #618626 is a reply to message #381761] Thu, 31 July 2008 20:50 Go to previous message
Eclipse UserFriend
Originally posted by: milan.milanovic.org

So, to conclude, there is no support for AM3 in this new version of
Eclipse Ganymede Modeling ?

--
Regards, Milan
Re: [AM3] AM3 and Eclipse3.4 [message #619445 is a reply to message #384241] Fri, 08 August 2008 09:18 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Hi Miguel,

Have you got AM3 from CVS, as outlined in the previous posts - I done this
and then created jar plugins from this and dropped them into my plugin
directory of my eclipse - this worked. You definitely needed the latest
from CVS for it to work.

Mark


Miguel Llácer wrote:

> Hi, I have a problem with AM3 too.

> I have some ATL transformations that I execute with ANT scripts using AM3.
> Now, we are migrating to Eclipse Ganymede and when I execute the
> transformation an error appears:

> ...
> INFO: Executing ATL transformation Transformations/uml2db.atl
> C:eclipsesEclipse
> Ganymedeworkspacees.cv.gvcase.linkers.uml2db.transfbines
> cvgvcaselinkeruml2dbtransflauncher
> build.xml:15:java.lang.NoSuchMethodError:
> org.eclipse.m2m.atl.adt.launching.AtlVM.launch
> ...

> If we have a look to error, we can see that in 15 line is the problem and
> we realize that the error is in ant script, exactly in:

> ...
> <am3.atl path="Transformations/uml2db.atl"
> allowInterModelReferences="true">
> ...

> Could it be that am3 isn't compatible with new version of ATL ?¿?
Re: [AM3] AM3 and Eclipse3.4 [message #619447 is a reply to message #384386] Fri, 08 August 2008 09:20 Go to previous message
Mark Melia is currently offline Mark MeliaFriend
Messages: 142
Registered: July 2009
Senior Member
Its looking that way Milan - considering the lack of mails on this thread.
The version in CVS works - but I dont see why this has not been added to
the Ganymede update site along with the rest of the modeling stuff.

Mark

Milan Milanovic wrote:

> So, to conclude, there is no support for AM3 in this new version of
> Eclipse Ganymede Modeling ?

> --
> Regards, Milan
Re: [AM3] AM3 and Eclipse3.4 [message #619466 is a reply to message #384656] Mon, 11 August 2008 10:04 Go to previous message
Miguel Llàcer San Fernando is currently offline Miguel Llàcer San FernandoFriend
Messages: 63
Registered: July 2009
Member
Ok, now it works correctly.

Thanks.
Previous Topic:[TCS] Parsing HEX and DEC into int
Next Topic:[MOFScript] Aspect extension
Goto Forum:
  


Current Time: Tue Nov 25 01:52:34 GMT 2014

Powered by FUDForum. Page generated in 0.05159 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software